GET /api/org/balance

The pot: credits, charged, reserved by the clients' open orders, available.

Surface: organisation. Who may call: organisation-key. Key: organisation.balance.

Example request

curl -X GET https://caremcp.com/api/org/balance \
  -H "Authorization: Bearer <API key or session>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "paidBy": {
   "type": "string",
   "enum": [
    "self",
    "organisation"
   ]
  },
  "currency": {
   "type": "string",
   "enum": [
    "USD",
    "EUR"
   ]
  },
  "credits": {
   "$ref": "#/$defs/__schema0"
  },
  "charged": {
   "$ref": "#/$defs/__schema0"
  },
  "reserved": {
   "$ref": "#/$defs/__schema0"
  },
  "available": {
   "$ref": "#/$defs/__schema0"
  }
 },
 "required": [
  "paidBy",
  "currency",
  "credits",
  "charged",
  "reserved",
  "available"
 ],
 "additionalProperties": false,
 "$defs": {
  "__schema0": {
   "type": "integer",
   "minimum": -9007199254740991,
   "maximum": 9007199254740991
  }
 }
}